<?php

/**
 * @file
 * This file is used for the administrative settings form.
 */

/**
 * API Key settings form callback.
 */
function styled_google_map_admin_settings($form, &$form_state) {
  $form['styled_google_map_google_auth_method'] = array(
    '#type' => 'select',
    '#title' => t('Google API Authentication Method'),
    '#default_value' => variable_get('styled_google_map_google_auth_method', STYLED_GOOGLE_MAP_GOOGLE_AUTH_KEY),
    '#options' => array(
      STYLED_GOOGLE_MAP_GOOGLE_AUTH_KEY => t('API Key'),
      STYLED_GOOGLE_MAP_GOOGLE_AUTH_WORK => t('Google Maps API for Work'),
    ),
  );

  $form['styled_google_map_google_apikey'] = array(
    '#type' => 'textfield',
    '#title' => t('Google Maps API Key'),
    '#description' => t('Obtain a Google Maps Javascript API key at <a href="@link">@link</a>', array(
      '@link' => 'https://developers.google.com/maps/documentation/javascript/get-api-key',
    )),
    '#default_value' => variable_get('styled_google_map_google_apikey', ''),
    '#required' => FALSE,
    '#states' => array(
      'visible' => array(
        ':input[name="styled_google_map_google_auth_method"]' => array('value' => STYLED_GOOGLE_MAP_GOOGLE_AUTH_KEY),
      ),
    ),
  );

  $form['styled_google_map_google_client_id'] = array(
    '#type' => 'textfield',
    '#title' => t('Google Maps API for Work: Client ID'),
    '#description' => t('For more information, visit: <a href="@link">@link</a>', array(
      '@link' => 'https://developers.google.com/maps/documentation/javascript/get-api-key#client-id',
    )),
    '#default_value' => variable_get('styled_google_map_google_client_id', ''),
    '#required' => FALSE,
    '#states' => array(
      'visible' => array(
        ':input[name="styled_google_map_google_auth_method"]' => array('value' => STYLED_GOOGLE_MAP_GOOGLE_AUTH_WORK),
      ),
    ),
  );

  return system_settings_form($form);
}
